Application
列出组件
列出组件
GET /application/v1/workers/{worker_id}/components
List the databases, namespaces and buckets this Worker owns.
支持状态: supported
参数
| 名称 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
| worker_id | path | string | true | Worker ID (wkr_…). |
响应
HTTP 200
Success
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| [].id | string | Component ID, prefixed cmp_. |
| [].worker_id | string | Owning Worker. |
| [].binding | string | Binding name in the Worker's env. |
| [].type | string | Component type: d1 database, kv namespace or r2 bucket. |
| [].status | string | Component status: provisioning, ready, failed, deleting or deleted. |
| [].location_hint | string | Always apac. |
| [].usage | object | null | Storage usage. |
| [].usage.bytes | integer | Stored bytes. |
| [].usage.items | integer | Stored items. |
| [].created_on | string | When the component was created. |